//
// Message Catalog for Acord parser
//
// Header Section
// Common Message Section... Message numbers 1-99
//
//  Values are 32 bit values layed out as follows:
//
//   3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1
//   1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0
//  +---+-+-+-----------------------+-------------------------------+
//  |Sev|C|R|     Facility          |               Code            |
//  +---+-+-+-----------------------+-------------------------------+
//
//  where
//
//      Sev - is the severity code
//
//          00 - Success
//          01 - Informational
//          10 - Warning
//          11 - Error
//
//      C - is the Customer code flag
//
//      R - is a reserved bit
//
//      Facility - is the facility code
//
//      Code - is the facility's status code
//
//
// Define the facility codes
//


//
// Define the severity codes
//


//
// MessageId: CCILOG_MSG
//
// MessageText:
//
//  (%1!s!) Message logged (%2!s!)
//
#define CCILOG_MSG                       ((int)0x8FFF0001L)

//
// MessageId: NO_BEGINSTRING
//
// MessageText:
//
//  No BeginString (tag #8) item found at front of message
//
#define NO_BEGINSTRING                   ((int)0xCFFF000AL)

//
// MessageId: NO_BEGINSTRING_DELIMITER
//
// MessageText:
//
//  No delimiter (0x01) found for BeginString data within 32 bytes
//
#define NO_BEGINSTRING_DELIMITER         ((int)0xCFFF000BL)

//
// MessageId: NO_ENDING_DELIMITER
//
// MessageText:
//
//  No ending delimiter (0x01) found at end of message
//
#define NO_ENDING_DELIMITER              ((int)0xCFFF000CL)

//
// MessageId: NO_CHECKSUM
//
// MessageText:
//
//  (%1!s!) No CheckSum (tag #10) item found at end of message
//
#define NO_CHECKSUM                      ((int)0xCFFF000DL)

//
// MessageId: BAD_CHECKSUM
//
// MessageText:
//
//  (%1!s!) Calculated check sum (%2!s!) does not match CheckSum item value (%3!s!)
//
#define BAD_CHECKSUM                     ((int)0xCFFF000EL)

//
// MessageId: MISSING_IDENTIFIER
//
// MessageText:
//
//  (%1!s!) No identifier found preceding equal sign at offset (%2!s!)
//
#define MISSING_IDENTIFIER               ((int)0xCFFF0014L)

//
// MessageId: INVALID_ELEMENT_NAME
//
// MessageText:
//
//  (%1!s!) Element name (%2!s!) not found in metadata file
//
#define INVALID_ELEMENT_NAME             ((int)0xCFFF0015L)

//
// MessageId: INVALID_FIX_LEVEL
//
// MessageText:
//
//  (%1!s!) No metadata found for this fix level - (%2!s!)
//
#define INVALID_FIX_LEVEL                ((int)0xCFFF0016L)

//
// MessageId: TAG_TOO_LONG
//
// MessageText:
//
//  (%1!s!) Tag length too long (> 5 characters)
//
#define TAG_TOO_LONG                     ((int)0xCFFF0017L)

//
// MessageId: INVALID_TAG_CHAR
//
// MessageText:
//
//  (%1!s!) Invalid character found in tag
//
#define INVALID_TAG_CHAR                 ((int)0xCFFF0018L)

//
// MessageId: BAD_LENGTH_FIELD_TYPE
//
// MessageText:
//
//  (%1!s!) Invalid data type (%2!s!) for length field for raw data field
//
#define BAD_LENGTH_FIELD_TYPE            ((int)0xCFFF001EL)

//
// MessageId: ZERO_LENGTH_FIELD
//
// MessageText:
//
//  (%1!s!) Length field for raw data field at offset (%2!s!) evaluates to zero or negative number
//
#define ZERO_LENGTH_FIELD                ((int)0xCFFF001FL)

//
// MessageId: LENGTH_FIELD_TOO_LARGE
//
// MessageText:
//
//  (%1!s!) Length field (%2!s!) for raw data field at offset (%3!s!) exceeds remaining buffer size (%4!s!)
//
#define LENGTH_FIELD_TOO_LARGE           ((int)0xCFFF0020L)

//
// MessageId: MISSING_DELIMITER_RAW_DATA
//
// MessageText:
//
//  (%1!s!) Delimiter at end of raw data field missing at offset (%2!s!) length (%3!s!)
//
#define MISSING_DELIMITER_RAW_DATA       ((int)0xCFFF0021L)

// End of message data