/*
 * Licensed Materials - Property of IBM
 * 5648-C63
 * (C) Copyright IBM Corp. 1999
 */

#include <BipCpi.h>
#include "context.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifdef WIN32
	void __declspec(dllexport) *bipGetParserFactory();
#endif
	CciContext *cpiCreateContext(CciParser* parser);
	int cpiParseBuffer(CciParser*  parser,CciContext* context,int offset);
	void cpiParseFirstChild(CciParser*  parser,CciContext* context,CciElement* currentElement);
	void cpiParseLastChild(CciParser*  parser, CciContext* context, CciElement* currentElement);
	void cpiParseLeftSibling(CciParser*  parser,CciContext* context,CciElement* currentElement);
	void cpiParseRightSibling(CciParser*  parser,CciContext* context,CciElement* currentElement);
	int cpiWriteBuffer(CciParser*  parser,CciContext* context);
	void cpiDeleteContext(CciParser*  parser, CciContext* context);
	void cpiNextParserClassName(CciParser*  parser,CciContext* context,wchar_t* buffer,int size);
	void cpiSetNextParserClassName(CciParser*  parser,CciContext* context,CciChar* name,CciBool isHeaderParser);
	void cpiSetValue(CciParser* parser, CciElement* currentElement, CciElementValue* value);
	const CciElementValue* cpiValue(CciParser*  parser,CciElement* currentElement);
	int cpiNextParserCodedCharSetId(CciParser*  parser,CciContext* context);
	int cpiNextParserEncoding(CciParser*  parser, CciContext* context);
	const char * getFixParserLevel();
#ifdef __cplusplus
}
#endif