/*
 * Licensed Materials - Property of IBM
 * 5648-C63
 * (C) Copyright IBM Corp. 1999
 */
#ifdef __cplusplus
extern "C" {
#endif

#include <BipCpi.h>
#include "mtxstruc.h"
#include "context.h"
#include "metamem.h"

void createFixedLengthElement(CciParser* parser,
							  PARSER_CONTEXT_ST* context,
							  CciChar* tagName,
							  int length);
void createVariableLengthElement(CciParser* parser,
								 PARSER_CONTEXT_ST* context,
								 CciChar* tagName,
								 CciChar* data,
								 int length);
void checkMessageFormat(PARSER_CONTEXT_ST* context);
void parseNextItem(CciParser*  parser,
				   PARSER_CONTEXT_ST* context);

void parseElement(CciParser* parser, 
				  PARSER_CONTEXT_ST* context,
				  FILETBL* fileTable);

int createOutputMessage(CciParser* parser, PARSER_CONTEXT_ST* context);
void skipWhiteSpace(PARSER_CONTEXT_ST* context);
void advance(PARSER_CONTEXT_ST* context);
int isolateTag(PARSER_CONTEXT_ST* context);
void goToTagEnd(PARSER_CONTEXT_ST* context, CciParser* parser);
const char * getFixSubLevel();

#ifdef __cplusplus
}
#endif